{"openapi":"3.0.4","info":{"title":"Delete Investor Record","description":"Delete an investor record. Deletion will be valid from the investor record's creation datetime.\r\nThis means that the investor record will no longer exist at any effective datetime from the asAt datetime of deletion.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/investorrecords/{identifierType}/{identifierValue}":{"delete":{"tags":["Investor Records"],"summary":"Delete Investor Record","description":"Delete an investor record. Deletion will be valid from the investor record's creation datetime.\r\nThis means that the investor record will no longer exist at any effective datetime from the asAt datetime of deletion.","operationId":"DeleteInvestorRecord","parameters":[{"name":"identifierType","in":"path","description":"Code of the investor record identifier type.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"identifierValue","in":"path","description":"Code of the investor record under specified identifier type's scope and code.","required":true,"schema":{"maxLength":64,"minLength":1,"type":"string"}},{"name":"scope","in":"query","description":"The scope of the investor record entity.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"identifierScope","in":"query","description":"Scope of the investor record identifier type.","required":true,"schema":{"maxLength":64,"minLength":1,"type":"string"}}],"responses":{"200":{"description":"The response from deleting investor record.","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DeletedEntityResponse"},"example":{"asAt":"2018-03-05T10:10:10.0000000+00:00"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DeletedEntityResponse"},"example":{"asAt":"2018-03-05T10:10:10.0000000+00:00"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DeletedEntityResponse"},"example":{"asAt":"2018-03-05T10:10:10.0000000+00:00"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"EarlyAccess"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}